%global pkgname django-nose

%if 0%{?fedora} > 0
%global with_python3 1
%else
%global with_python3 0
%endif

Name:           python-django-nose
Version:        1.4.5
Release:        1%{?dist}
Summary:        Django test runner that uses nose

License:        BSD
URL:            https://github.com/jbalogh/django-nose
Source0:        https://files.pythonhosted.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%global _description\
Django test runner that uses nose.

%description %_description

%package -n python2-%{pkgname}
Summary: %summary
Requires:       python-nose
Requires:       python-django
Provides:       django-nose = %{version}-%{release}
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname} %_description

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        Django test runner that uses nose
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-nose
Requires:       python3-django

%description -n python3-%{pkgname}
Django test runner that uses nose.

%endif

%prep
%autosetup -n %{pkgname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

# remove testapp
rm -rf %{buildroot}/%{python_sitelib}/testapp
rm -rf %{buildroot}/%{python3_sitelib}/testapp


%files -n python2-%{pkgname}
%doc README.rst
%license LICENSE
%{python_sitelib}/django_nose
%{python_sitelib}/django_nose-%{version}-py%{python2_version}.egg-info

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/django_nose
%{python3_sitelib}/django_nose-%{version}-py%{python3_version}.egg-info
%endif


%changelog
* Mon Oct 23 2017 Matthias Runge <mrunge@redhat.com> - 1.4.5-1
- update to 1.4.5 (rhbz#1504626)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.3-6
- Python 2 binary package renamed to python2-django-nose
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.4.3-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat May 21 2016 Matthias Runge <mrunge@redhat.com> - 1.4.3-1
- modernize spec file, provide python3-package (rhbz#1311551)
- update to 1.4.3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Aug 04 2015 Matthias Runge <mrunge@redhat.com> - 1.4.1-1
- update to 1.4.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 14 2015 Matthias Runge <mrunge@redhat.com> - 1.3-2
- Convert nose optparse options to argparse

* Fri Feb 27 2015 Matthias Runge <mrunge@redhat.com> - 1.3-1
- update to 1.3
- add patch for Django-1.8 compatibility

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Matthias Runge <mrunge@redhat.com> - 1.2-1
- update to 1.2

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-3
- update provides for django-nose

* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-2
- change requirement from Django to python-django

* Fri Mar 16 2012 Matthias Runge <mrunge@matthias-runge.de> - 1.0-1
- update to 1.0 from upstream
- more explicit %%files-section
- remove bundled egg-info

* Tue Jan 31 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.1.3-1
- initial packaging
